/*
 * Copyright (C) 2014 Julian Lewis
 * @author Federico Vaga <federico.vaga@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, you may find one here:
 * http://www.gnu.org/licenses/gpl-3.0-standalone.html
 * or you may search the http://www.gnu.org website for the version 3 license,
 * or you may write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

#include <application.h>

#define ARRAY_SIZE(arr) (sizeof(arr) / sizeof((arr)[0]))

extern int fwatch_application_run(struct application *app);
extern int fwatch_event_input_handler(struct application *app, struct event *evt);

/**
 * It stops running applications by the clearing RUN flag
 */
static inline void fwatch_application_stop(struct application *app)
{
	app->flags &= ~APP_FLAGS_RUN;
}


static inline int fwatch_is_application_running(struct application *app)
{
	return app->flags & APP_FLAGS_RUN;
}
